import os
import codecs
from setuptools import setup
from setuptools import find_packages


def read(filename):
    """Read and return `filename` in root dir of project and return string"""
    here = os.path.abspath(os.path.dirname(__file__))
    return codecs.open(os.path.join(here, filename), "r").read()


install_requires = read("requirements.txt").split()
long_description = read("README.md")


setup(
    name="dnd_transcribe",
    version="1.0.0",
    url="https://krugerlabs.us",
    author="David Kruger <david@krugerlabs.us>",
    description="Script to convert D&D game audio recordings to transcripts",
    long_description=long_description,
    python_requires=">=3.6",
    packages=find_packages(exclude=["tests"]),
    install_requires=install_requires,
    entry_points={"console_scripts": ["dnd_transcribe = dnd_transcribe.main:main"]},
    test_suite="nose.collector",
    tests_require=["nose", "mock"],
)
